%define	major 0
%define libname	%mklibname %{name} %{major}

Summary:	GNU recode
Name:		recode
Version:	3.6
Release:	%mkrel 12
Group:		Text tools
License:	GPL
URL:		http://recode.progiciels-bpi.ca/
Source0:	ftp://prep.ai.mit.edu:/pub/gnu/recode/recode-%{version}.tar.bz2
# OE: taken from debian, but symbol clash fix originates from here:
# http://www.pybliographer.org/help/recode.patch
# recode and mysql symbols collided and made php crash, this patch
# fixes this.
Patch0:		recode_3.6-10.diff
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	automake1.4
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The GNU recode utility converts files between various character sets.

%package -n	%{libname}
Summary:	Shared GNU recode library
Group:          System/Libraries

%description -n	%{libname}
The GNU recode utility converts files between various character sets.

This package provides the shared recode library.

%package -n	%{libname}-devel
Summary:	Development files for the %{libname} library
Group:		Development/C
Obsoletes:	%{name}-devel
Provides:	%{name}-devel
Provides:	lib%{name}-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
Development files for the %{libname} library

%prep

%setup -q
%patch0 -p1

%build

%configure2_5x \
     --without-included-gettext

# no -recheck hack
touch *

%make CFLAGS="%{optflags} -D_REENTRANT -fPIC"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

# house cleansing
rm -f %{buildroot}%{_infodir}/dir

%post
%_install_info %{name}.info

%postun
%_remove_install_info %{name}.info

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig

%postun -n %{libname}-devel -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc BACKLOG COPYING INSTALL NEWS README
%doc THANKS doc
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*

%files -n %{libname}
%defattr(0644,root,root,755)
%attr(0755,root,root) %{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(0644,root,root,755)
%doc contrib
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*.h

%changelog
* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-11 13:02:29 (63479)
- bunzip patches


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-11 12:59:19 (63478)
Import recode

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.6-11mdk
- Rebuild

* Wed Jan 05 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6-10mdk
- fix deps

* Sat Jan 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.6-9mdk
- add BuildRequires: automake1.4

* Wed Dec 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6-8mdk
- revert latest "lib64 fixes"

* Wed Dec 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6-7mdk
- lib64 fixes

* Mon May 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6-6mdk
- use the debian patch instead, (fixing utf8 conversion + php anti
  symbol clash, translations, etc.)
- use --without-included-gettext and fix deps
- add -D_REENTRANT to CFLAGS

* Mon May 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6-5mdk
- include the patch from fedora, (fixing utf8 conversion + php anti 
  symbol clash)
- merge static-devel sub package into the devel sub package
- libifiction
- misc spec file fixes

* Wed Jun 04 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.6-4mdk
- fix unpackaged files

* Sat Mar 02 2002 Pixel <pixel@mandrakesoft.com> 3.6-3mdk
- include the patch from debian, (fixing utf8 conversion)

* Sat Jan 19 2002 David BAUDENS <baudens@mandrakesoft.com> 3.6-2mdk
- Fix Group: for devel package
- Move static libraries in static-devel package

* Fri Nov 23 2001 Pixel <pixel@mandrakesoft.com> 3.6-1mdk
- new version
- use %%makeinstall_std

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 3.5-9mdk
- BuildRequires:	flex
- Copyright --> License

* Tue Jul 03 2001 Pixel <pixel@mandrakesoft.com> 3.5-8mdk
- do not build .so's

* Tue Nov 07 2000 Pixel <pixel@mandrakesoft.com> 3.5-7mdk
- remove dir in infodir

* Tue Nov 07 2000 Pixel <pixel@mandrakesoft.com> 3.5-6mdk
- add require for -devel

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 3.5-5mdk
- macorziation, BM

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 3.5-4mdk
- ensure /usr/info/dir is not there

* Fri Apr 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 3.5-3mdk
- added missing doc files

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 3.5-2mdk
- fix a lot of missing % files

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 3.5-1mdk
- new group
- new version (is that ok Kai Nielsen? :)

* Mon Jan 03 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.4-9mdk
- fix the owner of files.

* Thu Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description

* Tue Jul 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Bzip2 sources.

* Mon Jul 12 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- quick adaptation to Mandrake

* Fri Dec 25 1998 Peter Soos <sp@osb.hu>
- Corrected the file and directory attributes

* Tue Jun 23 1998 Peter Soos <sp@osb.hu>
- Using %attr

* Fri Dec 12 1997 Peter Soos <sp@osb.hu>
- Recompiled under RedHat Linux 5.0
- Now we use BuildRoot

